// Beispiel Komponente
class GfiSuperComponent extends HTMLElement {
  static get observedAttributes(){
    return ["cool-attribute"]
  }

  constructor() {
    super();
    console.log("Objekt kreiert")
  };

  connectedCallback(){
    console.log("Connected")
  }
  disconnectedCallback(){
    console.log("removed")
  }

  attributeChangedCallback(attr, old ,neu) {
   console.log("attributes", attr, old, neu)
}

};


window.customElements.define('gfi-super-component',GfiSuperComponent);
// <gfi-super-component></gfi-super-component>
// <gfi-super-component cool-attribute="cool"></gfi-super-component>
